org.apache.tinkerpop.gremlin.driver.ser

## Class AbstractGraphSONMessageSerializerV1d0.ResponseMessageSerializer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0.ResponseMessageSerializer

- Enclosing class:
    AbstractGraphSONMessageSerializerV1d0

      public static final class AbstractGraphSONMessageSerializerV1d0.ResponseMessageSerializer
      extends <any>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseMessageSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ser(ResponseMessage responseMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`
    `void` | `serialize(ResponseMessage responseMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)`
    `void` | `serializeWithType(ResponseMessage responseMessage, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseMessageSerializer

          public ResponseMessageSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(ResponseMessage responseMessage,
                                JsonGenerator jsonGenerator,
                                SerializerProvider serializerProvider)
                         throws IOException,
                                JsonGenerationException

      Throws:
        `IOException`
        `JsonGenerationException`

    - #### serializeWithType

          public void serializeWithType(ResponseMessage responseMessage,
                                        JsonGenerator jsonGenerator,
                                        SerializerProvider serializerProvider,
                                        TypeSerializer typeSerializer)
                                 throws IOException,
                                        JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### ser

          public void ser(ResponseMessage responseMessage,
                          JsonGenerator jsonGenerator,
                          SerializerProvider serializerProvider,
                          TypeSerializer typeSerializer)
                   throws IOException,
                          JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.